### Method

# Gtk.TreeModel.get_path

#### Declaration [src]

    GtkTreePath*
    gtk_tree_model_get_path (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Returns a newly-created `GtkTreePath`-struct referenced by `iter`.

This path should be freed with `gtk_tree_path_free()`.

#### Parameters

`iter` | `GtkTreeIter`
| the `GtkTreeIter`-struct
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkTreePath`
a newly-created `GtkTreePath`-struct
Ownership of the data is transferred to the caller